org.apache.olingo.odata2.jpa.processor.ref.util

## Class CustomODataJPAProcessor

- java.lang.Object
- - org.apache.olingo.odata2.api.processor.ODataSingleProcessor
  - - org.apache.olingo.odata2.jpa.processor.api.ODataJPAProcessor
    - - org.apache.olingo.odata2.jpa.processor.api.ODataJPADefaultProcessor
      - - org.apache.olingo.odata2.jpa.processor.ref.util.CustomODataJPAProcessor

- All Implemented Interfaces:
    CustomContentType, ODataProcessorFeature, ODataProcessor, BatchProcessor, EntityComplexPropertyProcessor, EntityLinkProcessor, EntityLinksProcessor, EntityMediaProcessor, EntityProcessor, EntitySetProcessor, EntitySimplePropertyProcessor, EntitySimplePropertyValueProcessor, FunctionImportProcessor, FunctionImportValueProcessor, MetadataProcessor, ServiceDocumentProcessor

      public class CustomODataJPAProcessor
      extends ODataJPADefaultProcessor

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.jpa.processor.api.ODataJPAProcessor

      `jpaProcessor, oDataJPAContext, responseBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomODataJPAProcessor(ODataJPAContext oDataJPAContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataResponse` | `readEntitySet(GetEntitySetUriInfo uriParserResultView, String contentType)` Reads entities.

    - ### Methods inherited from class org.apache.olingo.odata2.jpa.processor.api.ODataJPADefaultProcessor

      `countEntitySet, createEntity, createEntityLink, deleteEntity, deleteEntityLink, executeBatch, executeChangeSet, executeFunctionImport, executeFunctionImportValue, existsEntity, readEntity, readEntityLink, readEntityLinks, updateEntity, updateEntityLink`

    - ### Methods inherited from class org.apache.olingo.odata2.jpa.processor.api.ODataJPAProcessor

      `close, close, getOdataJPAContext, setOdataJPAContext`

    - ### Methods inherited from class org.apache.olingo.odata2.api.processor.ODataSingleProcessor

      `countEntityLinks, deleteEntityMedia, deleteEntitySimplePropertyValue, existsEntityLink, getContext, getCustomContentTypes, readEntityComplexProperty, readEntityMedia, readEntitySimpleProperty, readEntitySimplePropertyValue, readMetadata, readServiceDocument, setContext, updateEntityComplexProperty, updateEntityMedia, updateEntitySimpleProperty, updateEntitySimplePropertyValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomODataJPAProcessor

          public CustomODataJPAProcessor(ODataJPAContext oDataJPAContext)

  - ### Method Detail

    - #### readEntitySet

          public ODataResponse readEntitySet(GetEntitySetUriInfo uriParserResultView,
                                             String contentType)
                                      throws ODataException

      Description copied from interface: `EntitySetProcessor`
      Reads entities.
      Specified by:
        `readEntitySet` in interface `EntitySetProcessor`
      Overrides:
        `readEntitySet` in class `ODataJPADefaultProcessor`
      Parameters:
        `uriParserResultView` - information about the request URI
        `contentType` - the content type of the response
      Returns:
        an `ODataResponse` object
      Throws:
        `ODataException`
      See Also:
        `EntitySetProcessor`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.